Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.marshalling
Interface ObjectMarshallingStrategy

All Known Implementing Classes:
  ProcessInstanceResolverStrategy

    public interface ObjectMarshallingStrategy

Method Summary
`boolean` | `accept(Object object)`
`byte[]` | `marshal(ObjectOutputStream os, Object object)` This method is analogous to the write() method, but instead of writing the object into an output stream, it returns the marshalled object as a byte[].
`Object` | `read(ObjectInputStream os)`
`Object` | `unmarshal(ObjectInputStream os, byte[] object, ClassLoader classloader)` This method is analogous to the read method, but instead of reading it from an input stream, it reads it from a byte[]
`void` | `write(ObjectOutputStream os, Object object)`

Method Detail

### accept

    boolean accept(Object object)

### write

    void write(ObjectOutputStream os,
               Object object)
               throws IOException

  Throws:
    `IOException`

### read

    Object read(ObjectInputStream os)
                throws IOException,
                       ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### marshal

    byte[] marshal(ObjectOutputStream os,
                   Object object)
                   throws IOException

  This method is analogous to the write() method, but instead of writing the object into an output stream, it returns the marshalled object as a byte[].

  Parameters:
    `os` - the context for the marshalling
    `object` - the object to be marshalled
  Returns:
    the marshalled byte[] of the input object
  Throws:
    `IOException`

### unmarshal

    Object unmarshal(ObjectInputStream os,
                     byte[] object,
                     ClassLoader classloader)
                     throws IOException,
                            ClassNotFoundException

  This method is analogous to the read method, but instead of reading it from an input stream, it reads it from a byte[]

  Parameters:
    `os` - the context for the unmarshalling
    `object` - the marshalled object in a byte[]
  Returns:
    the unmarshalled Object
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.